#ifndef CONFIG_H
#define CONFIG_H
/*
 * file:       Config.h
 * purpose:    abstract hardware
 * author:     Santiago
 * copyright:  2008 (c) Creative commons - by-nc-sa - some rights reserved
 *             see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
//#define TEST_MODE
/*
 * inputs
 */
#define PORT_T1   PIND
#define DDR_T1    DDRD
#define PIN_T1    PD2

#define PORT_T2   PIND
#define DDR_T2    DDRD
#define PIN_T2    PD3

#define PORT_T3   PIND
#define DDR_T3    DDRD
#define PIN_T3    PD4

/*
 * turning encoder
 */
#define PORT_PUSH_ENCODE   PIND
#define DDR_PUSH_ENCODE    DDRD
#define PIN_PUSH_ENCODE    PD2

#define PORT_RIGHT_ENCODE  PIND
#define DDR_RIGHT_ENCODE   DDRD
#define PIN_RIGHT_ENCODE   PD1

#define PORT_LEFT_ENCODE   PIND
#define DDR_LEFT_ENCODE    DDRD
#define PIN_LEFT_ENCODE    PD0

/*
 * outputs
 */
#define PORT_LED1 PORTD
#define DDR_LED1  DDRD
#define PIN_LED1  PD6

#define PORT_LED2 PORTD
#define DDR_LED2  DDRD
#define PIN_LED2  PD5

#define PORT_BUZZ PORTD
#define DDR_BUZZ  DDRD
#define PIN_BUZZ  PD7


/*
 * lcd
 */
#define WANT_SAMPLE
#define WANT_SERIAL_LCD

#define PORT_LCD_SER_DATA  PORTC
#define DDR_LCD_SER_DATA   DDRC
#define PIN_LCD_SER_DATA   PC0

#define PORT_LCD_SER_SYNC  PORTC
#define DDR_LCD_SER_SYNC   DDRC
#define PIN_LCD_SER_SYNC   PC1

#define PORT_LCD_SER_CLOCK PORTC
#define DDR_LCD_SER_CLOCK  DDRC
#define PIN_LCD_SER_CLOCK  PC2

/*
 * stepper
 */
#define PORT_STEP_L1       PORTB
#define DDR_STEP_L1        DDRB
#define PIN_STEP_L1        PB2

#define PORT_STEP_L2       PORTB
#define DDR_STEP_L2        DDRB
#define PIN_STEP_L2        PB3

#define PORT_STEP_L3       PORTB
#define DDR_STEP_L3        DDRB
#define PIN_STEP_L3        PB4

#define PORT_STEP_L4       PORTB
#define DDR_STEP_L4        DDRB
#define PIN_STEP_L4        PB5
#endif
