#ifndef LCD_H
#define LCD_H
/*
 * file:       LCD.h
 * purpose:    declaration of the interface for LCD control
 * author:     Santiago
 * copyright:  2008 (c) Creative commons - by-nc-sa - some rights reserved
 *             see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#include <avr/pgmspace.h>

void lcdInit(void); 
void lcdClear(void); 
void lcdConfigure(uint8_t use8Bits, uint8_t  twoLines, uint8_t bigFont);
void lcdWrite(uint8_t * s, uint8_t l);
void lcdPrint(char * s);
void lcdPrintLine(uint8_t line, PGM_P s);

#endif
